Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SharedInputSource Class Reference
[IO core interfaces]

Inheritance diagram for SharedInputSource:

## Detailed Description

InputSource class wrapper, allows to manage class instances counter.

## Public Member Functions
int | addref ()
| Increments reference counter.
int | delref ()
| Decrements reference counter.
const byte * | getStream ()
| Returns currently opened stream.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const
## Static Public Member Functions
static SharedInputSource * | getInputSource (const String *path, InputSource *base)

## Member Function Documentation

const byte* SharedInputSource::getStream | ( |  | ) | `[inline]`

| Returns currently opened stream. Opens it, if not yet opened.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.